Opened 9 years ago

Last modified 9 years ago

#4620 new defect

Geogebra not opening in 1.75XO

Reported by: jacubillo Owned by:
Priority: Unspecified by Maintainer Milestone: Unspecified
Component: GeoGebra Version: Unspecified
Severity: Unspecified Keywords: geogebra, java
Cc: Distribution/OS: Unspecified
Bug Status: Unconfirmed

Description

Downloaded Geogebra 4 and received "failed to start" message.

As per log activity the problem lies in the java that comes bundled.

Installing openjdk via yum did not solved the problem.

Attachments (1)

org.geogebra-1.log (404 bytes) - added by jacubillo 9 years ago.

Download all attachments as: .zip

Change History (9)

comment:1 Changed 9 years ago by walter

Can you confirm that openjdk installed properly? Can you please attach the log file?

Changed 9 years ago by jacubillo

comment:2 Changed 9 years ago by jacubillo

Appart from the successful installation using yum, what other way can be used to confirm openjdk installation?

Logfile attached. Log file has the same contents on computers with or without openjdk.

comment:3 Changed 9 years ago by AlanJAS

I think that the activity needs check first for the java on the system, else, check
in a specific path.
Another problem: no have sense that each java activty includes all JRE inside of the
.xo. For that, exist the Java activity:
http://activities.sugarlabs.org/en-US/sugar/addon/4285

comment:4 Changed 9 years ago by jacubillo

Java activity is also not working on 1.75XO. Should another ticket be opened for this?

comment:5 Changed 9 years ago by jacubillo

Is there any other sort of information required on my side?

comment:6 Changed 9 years ago by walter

Sorry,... just need to get the time to work on this... please keep up period pings so that it doesn't fall through the cracks

comment:7 Changed 9 years ago by AlanJAS

The problem is that Geogebra includes all JRE files in the .XO. But that files are for x86 architecture.
First: if each .XO that needs Java includes all JRE.. you cannot install 3 of them in a XO-1.
Would be good update the Java activity to use as common "dependency" for all Java activities. And if you need java in XO1.75, you only need download once the JAva activity for XO1.75 an ready! All java activities will work!

http://activities.sugarlabs.org/en-US/sugar/addon/4285

comment:8 Changed 9 years ago by jacubillo

I did downloaded Java activity on the XO1.75 but it's also not working on build 13.1 or 13.2

Installing openjdk also didnt work

Note: See TracTickets for help on using tickets.